Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 612660 - dev-java/qdox-1.12.1-r1 : KeyError: 'javacup'
Summary: dev-java/qdox-1.12.1-r1 : KeyError: 'javacup'
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-14 21:17 UTC by Toralf Förster
Modified: 2017-05-21 16:38 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,6.06 KB, text/plain)
2017-03-14 21:17 UTC, Toralf Förster
Details
dev-java:qdox-1.12.1-r1:20170314-202027.log (dev-java:qdox-1.12.1-r1:20170314-202027.log,4.25 KB, text/plain)
2017-03-14 21:18 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,243.57 KB, text/plain)
2017-03-14 21:18 UTC, Toralf Förster
Details
environment (environment,151.34 KB, text/plain)
2017-03-14 21:18 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,47.48 KB, application/x-bzip)
2017-03-14 21:18 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,33.50 KB, application/x-bzip)
2017-03-14 21:18 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-03-14 21:17:55 UTC
  File "/usr/lib64/python3.4/site-packages/java_config_2/EnvironmentManager.py", line 151, in get_package
    return self.packages[pkgname]
KeyError: 'javacup'

During handling of the above exception, another exception occurred:


  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named plasma-abi32+64_20170309-193709) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.3.0 *
llvm-config:
3.9.1
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.3.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
Comment 1 Toralf Förster gentoo-dev 2017-03-14 21:17:59 UTC
Created attachment 467082 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-03-14 21:18:03 UTC
Created attachment 467084 [details]
dev-java:qdox-1.12.1-r1:20170314-202027.log
Comment 3 Toralf Förster gentoo-dev 2017-03-14 21:18:07 UTC
Created attachment 467086 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-03-14 21:18:15 UTC
Created attachment 467088 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-03-14 21:18:20 UTC
Created attachment 467090 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-03-14 21:18:26 UTC
Created attachment 467092 [details]
temp.tbz2
Comment 7 James Le Cuirot gentoo-dev 2017-03-14 21:30:40 UTC
How well does the tinderbox handle PDEPEND? javacup is a PDEPEND of jflex and jflex is a DEPEND of qdox so javacup should be installed already.
Comment 8 Toralf Förster gentoo-dev 2017-03-15 18:12:16 UTC
(In reply to James Le Cuirot from comment #7)
it just runs "emerge -u <package name>" - so the question can be translated into "Does emerge behaves well ?," right ?"
Comment 9 eroen 2017-05-21 12:55:56 UTC
(In reply to James Le Cuirot from comment #7)
> How well does the tinderbox handle PDEPEND? javacup is a PDEPEND of jflex
> and jflex is a DEPEND of qdox so javacup should be installed already.

This is true, but portage still does not appear to install javacup even when needed for me.


occam ~ # emerge -av --complete-graph --with-bdeps=y android-studio

These are the packages that would be merged, in order:

Calculating dependencies  ........ done!
[ebuild  N     ] dev-java/qdox-1.12.1-r1:1.12::gentoo  USE="{test} -doc -source" 0 KiB
[ebuild  N     ] dev-java/hamcrest-generator-1.3-r1:1.3::gentoo  USE="{test} -source" 3,600 KiB
[ebuild  N     ] dev-java/hamcrest-core-1.3:1.3::gentoo  USE="-doc -source" 0 KiB
[ebuild  NS    ] dev-java/junit-4.12-r1:4::gentoo [3.8.2-r2:0::gentoo] USE="-doc -examples -source" 0 KiB
[ebuild  N     ] dev-java/ant-junit-1.9.2::gentoo  0 KiB
[ebuild  N     ] dev-java/commons-logging-1.2-r1::gentoo  USE="{test} -avalon-framework -avalon-logkit -doc -log4j -servletapi -source" 0 KiB
[ebuild  N     ] dev-util/android-studio-2.3.2.0.162.3934792::gentoo  USE="(-selinux)" 449,196 KiB

Total: 7 packages (6 new, 1 in new slot), Size of downloads: 452,796 KiB

Would you like to merge these packages? [Yes/No] n

Quitting.

occam ~ # emerge -pv1 javacup portage

These are the packages that would be merged, in order:

Calculating dependencies  .... done!
[ebuild   R    ] sys-apps/portage-2.3.6::gentoo  USE="(ipc) native-extensions (xattr) -build -doc -epydoc (-selinux)" LINGUAS="-ru" PYTHON_TARGETS="python2_7 python3_4 python3_5 python3_6 -pypy" 0 KiB
[ebuild  N     ] dev-java/javacup-0.11b_p20151001::gentoo  USE="-doc -source" 0 KiB

Total: 2 packages (1 new, 1 reinstall), Size of downloads: 0 KiB

occam ~ # emerge -pv1 jflex

These are the packages that would be merged, in order:

Calculating dependencies  ..... done!
[ebuild   R    ] dev-java/jflex-1.6.1::gentoo  USE="-doc -examples -source {-test} -vim-syntax" 0 KiB
[ebuild  N     ] dev-java/javacup-0.11b_p20151001::gentoo  USE="-doc -source" 0 KiB

Total: 2 packages (1 new, 1 reinstall), Size of downloads: 0 KiB
o
Comment 10 James Le Cuirot gentoo-dev 2017-05-21 16:38:35 UTC
(In reply to eroen from comment #9)
> (In reply to James Le Cuirot from comment #7)
> > How well does the tinderbox handle PDEPEND? javacup is a PDEPEND of jflex
> > and jflex is a DEPEND of qdox so javacup should be installed already.
> 
> This is true, but portage still does not appear to install javacup even when
> needed for me.

I'm not sure what Portage does if the session dies before it manages to reach the PDEPEND. Maybe it forgets about it? In your case, you have FEATURES="test" enabled and that complicates things because it creates an indirect cyclic dependency between jflex and qdox. Maybe that somehow caused javacup to appear later than qdox in the package list although Toralf didn't appear to have tests enabled. Here's what I can see.

$ emerge -ep qdox

...
[ebuild   R    ] dev-java/jflex-1.6.1 
[ebuild   R    ] dev-java/javacup-0.11b_p20151001 
[ebuild   R    ] dev-java/qdox-1.12.1-r1 

This doesn't change with --complete-graph or --with-bdeps=y. Unfortunately adding FEATURES="test" throws up conflicts so I can't see the result.